matrix:
  platform:
    # Debian compiler version is too old.
    # - debian10
    # - debian11
    - ubuntu2004
    - ubuntu2004_arm64
    # Fails due to an issue including ncurses.h
    # - macos
    # - macos_arm64
    - ubuntu2204
    - ubuntu2404
    # Not currently supported
    # - windows
  bazel:
    - 7.x
    - 8.x
    # Disabled due to this error in CI:
    # Unable to find package for @@[unknown repo 'local_config_platform'
    # - rolling
tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
      - '--host_cxxopt=-std=c++17'
    test_flags:
      - '--cxxopt=-std=c++17'
      - '--host_cxxopt=-std=c++17'
    build_targets:
      - '@behaviortree_ros2//...'
